Zoomdata Version

Data Connector Reference

Each data connector has capabilities and limitations when connected to the Zoomdata Server. This topic highlights those details and provides a link to more information about each connector.

Data Source Supported Versions Requires Other Action
Amazon Redshift 1.0.1 Install JDBC Driver
Amazon S3   Separate download
Apache Drill 1.11 - 1.13 Separate download
Apache Phoenix 4.7 No; Apache Phoenix 4.4 and 4.5 require separate downloads
Apache Phoenix Query Server (QS) 4.7 No
Apache Solr 4.10.0 - 7.4.0 No
Aurora --- Deprecated. Use the MySQL connector.
BigQuery   Separate download
Cassandra over Presto 0.132 Separate download; uses the Presto 0.132 connector.
Cloudera Impala 2.5.0 - 2.12.0 No
Cloudera Search 4.4.0 - 4.10.3 No
Elasticsearch 5.0 5.0 - 5.6 No
Elasticsearch 6.0 6.0 - 6.1 No (as of 2.6.5)
Flat File   PostgreSQL must be enabled
HDFS   Separate download
Hive 2.1 - 3.1 No
MemSQL 5.0 - 6.0 Install JDBC Driver
Microsoft SQL Server 11.0.21 - 14.0.1000 No (as of 2.6.5)
MongoDB 3.4.0 - 4.0.2 No
MySQL 5.6 Install JDBC Driver
Oracle 11.2 Install JDBC Driver
PostgreSQL 9.3.1 - 9.6.0 No
Real Time Sales   Must be enabled
SAP Hana 2.0 Separate download and install JDBC Driver
SAP IQ 16 Separate download and install JDBC Driver
Snowflake whatever is currently supported in the cloud Separate download
Spark SQL 2.0.0 - 2.2.0 No
Teradata 16.20 Separate download and install JDBC Driver
Upload API   PostgreSQL must be enabled
Vertica 7.2 Separate download and install JDBC Driver

Was this topic helpful?